update formatted documentation; fix typo in bashline.c; update system-dependent tests

This commit is contained in:
Chet Ramey
2025-07-08 09:59:39 -04:00
parent b35866a289
commit 12ea4bfec3
17 changed files with 37 additions and 28 deletions
+4 -4
View File
@@ -25,16 +25,16 @@ posix-bash: line 1: exec: .: cannot execute: Is a directory
126
0
this is bashenv
trap -- 'echo EXIT' EXIT
trap -- '' SIGTERM
trap -- 'echo USR1' SIGUSR1
trap -- 'rm -f x.sh x.output ; echo EXIT' EXIT
USR1
./exec3.sub: line 38: /tmp/bash-notthere: No such file or directory
./exec3.sub: line 45: /tmp/bash-notthere: No such file or directory
./exec3.sub: ENOENT: after failed exec: 127
./exec3.sub: line 43: exec: bash-notthere: not found
trap -- 'echo EXIT' EXIT
./exec3.sub: line 50: exec: bash-notthere: not found
trap -- '' SIGTERM
trap -- 'echo USR1' SIGUSR1
trap -- 'rm -f x.sh x.output ; echo EXIT' EXIT
USR1
EXIT
./execscript: line 103: notthere: command not found
+10 -3
View File
@@ -25,10 +25,17 @@ cd $TDIR || exit 1
shopt -s execfail
trap 'echo EXIT' EXIT
trapsort()
{
trap > x.output
sort x.output && rm -f x.output
}
trap 'rm -f x.sh x.output ; echo EXIT' EXIT
trap 'echo USR1' USR1
trap '' TERM
trap
trapsort
kill -s USR1 $$ # should run the trap
@@ -94,7 +101,7 @@ case $string in
esac
rm -f x.sh x.output
trap
trapsort
kill -s USR1 $$ # should run the trap
kill -s TERM $$ # should still be ignored
+1 -3
View File
@@ -85,7 +85,5 @@ unset -v VAR
# can't test %s, too many varying implementations
#printf "%.${TOOBIG}s\n" XY
printf -v VAR "%.${TOOBIG}s\n" XY
echo $VAR
unset -v VAR
printf_overflow $LINENO "%.${TOOBIG}b\n" XY
printf_overflow $LINENO "%.${TOOBIG}Q\n" XY
-3
View File
@@ -14,9 +14,6 @@
echo "warning: the text of a system error message may vary between systems and" >&2
echo "warning: produce diff output." >&2
echo "warning: UNIX versions number signals differently." >&2
echo "warning: If output differing only in line numbers is produced, please" >&2
echo "warning: do not consider this a test failure." >&2
echo "warning: if the text of the error messages concerning \`notthere' or" >&2
echo "warning: \`/tmp/bash-notthere' not being found or \`/' being a directory" >&2
echo "warning: produce diff output, please do not consider this a test failure" >&2